## OMA Start Session

OMA Start Session

## Functions

QmiMessageOmaStartSessionInput * | qmi_message_oma_start_session_input_new ()
QmiMessageOmaStartSessionInput * | qmi_message_oma_start_session_input_ref ()
void | qmi_message_oma_start_session_input_unref ()
gboolean | qmi_message_oma_start_session_input_get_session_type ()
gboolean | qmi_message_oma_start_session_input_set_session_type ()
QmiMessageOmaStartSessionOutput * | qmi_message_oma_start_session_output_ref ()
void | qmi_message_oma_start_session_output_unref ()
gboolean | qmi_message_oma_start_session_output_get_result ()
void | qmi_client_oma_start_session ()
QmiMessageOmaStartSessionOutput * | qmi_client_oma_start_session_finish ()

## Types and Values

| QmiMessageOmaStartSessionInput
| QmiMessageOmaStartSessionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageOmaStartSessionInput
        ╰── QmiMessageOmaStartSessionOutput

## Description

## Functions

### qmi_message_oma_start_session_input_new ()

    QmiMessageOmaStartSessionInput *
    qmi_message_oma_start_session_input_new
                                   (void);

Allocates a new QmiMessageOmaStartSessionInput.

#### Returns

the newly created QmiMessageOmaStartSessionInput. The returned value should be freed with `qmi_message_oma_start_session_input_unref()`.

Since: 1.6

### qmi_message_oma_start_session_input_ref ()

    QmiMessageOmaStartSessionInput *
    qmi_message_oma_start_session_input_ref
                                   (QmiMessageOmaStartSessionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaStartSessionInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_start_session_input_unref ()

    void
    qmi_message_oma_start_session_input_unref
                                   (QmiMessageOmaStartSessionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaStartSessionInput. |

Since: 1.6

### qmi_message_oma_start_session_input_get_session_type ()

    gboolean
    qmi_message_oma_start_session_input_get_session_type
                                   (QmiMessageOmaStartSessionInput *self,
                                    QmiOmaSessionType *value_session_type,
                                    GError **error);

Get the 'Session Type' field from `self` .

#### Parameters

self | a QmiMessageOmaStartSessionInput. |
value_session_type | a placeholder for the output QmiOmaSessionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_start_session_input_set_session_type ()

    gboolean
    qmi_message_oma_start_session_input_set_session_type
                                   (QmiMessageOmaStartSessionInput *self,
                                    QmiOmaSessionType value_session_type,
                                    GError **error);

Set the 'Session Type' field in the message.

#### Parameters

self | a QmiMessageOmaStartSessionInput. |
value_session_type | a QmiOmaSessionType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_oma_start_session_output_ref ()

    QmiMessageOmaStartSessionOutput *
    qmi_message_oma_start_session_output_ref
                                   (QmiMessageOmaStartSessionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageOmaStartSessionOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_oma_start_session_output_unref ()

    void
    qmi_message_oma_start_session_output_unref
                                   (QmiMessageOmaStartSessionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageOmaStartSessionOutput. |

Since: 1.6

### qmi_message_oma_start_session_output_get_result ()

    gboolean
    qmi_message_oma_start_session_output_get_result
                                   (QmiMessageOmaStartSessionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageOmaStartSessionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.6

### qmi_client_oma_start_session ()

    void
    qmi_client_oma_start_session (QmiClientOma *self,
                                  QmiMessageOmaStartSessionInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Start Session request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_oma_start_session_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientOma. |
input | a QmiMessageOmaStartSessionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_oma_start_session_finish ()

    QmiMessageOmaStartSessionOutput *
    qmi_client_oma_start_session_finish (QmiClientOma *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_oma_start_session()`.

#### Parameters

self | a QmiClientOma. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_oma_start_session()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageOmaStartSessionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_oma_start_session_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageOmaStartSessionInput

    typedef struct _QmiMessageOmaStartSessionInput QmiMessageOmaStartSessionInput;

The QmiMessageOmaStartSessionInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageOmaStartSessionOutput

    typedef struct _QmiMessageOmaStartSessionOutput QmiMessageOmaStartSessionOutput;

The QmiMessageOmaStartSessionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6